Ahankhah 发表于 2022-7-6 07:28:39

Mission: Get the list of all D

Hi all,
 
as you know there is a way to get a list of all opened drawings.
 

(defun Get:OpenDrawings ( / *dwg* *acdocs*)(vlax-for(MT:vla-get-Documents) (if (eq "" (setq *dwg* (vla-get-fullname ))) (setq *dwg* (vla-get-name )))(setq *acdocs* (cons (cons (strcase *dwg*) ) *acdocs*)))(reverse *acdocs*))

(Get:OpenDrawings)returns an assoc list of all opened drawings' ((name1 . vla-object1) (name2 . vla-object2) ... (nameN . vla-objectN))
 
Is there a way to get all opened drawings in current session as ObjectDBX?
页: [1]
查看完整版本: Mission: Get the list of all D